Subject: Re: Yosemite/440EP is there a global interrupt enable mask?

From: David Hawkins <[email-masked]>
Date: Wed, 25 Jan 2006 12:34:02 -0800

> DO NOT access UIC registers directly. DO NOT.

Okay :)

> Nothing that can be of interest for a general public. They are 
> board-specific (lots of bit-banging SPI stuff). All other drivers I 
> wrote are already in public tree.

With regard to SPI drivers. Has the 2.6 kernel implemented
an SPI 'bus' interface (like PCI, OCP, etc). The 440EP also
has an SPI interface that I plan to look at.

The custom boards will need temperature sensing and other
monitoring jobs. I want to see what kind of overhead both
the I2C and SPI bus require. If its too much, then I'll
move those tasks out into an FPGA FSM.

The PowerPC's main job will be reading FPGA data every 1ms,
int-to-float conversions, FFT, and accumulation.

Cheers
Dave